"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkResourceRelationName = void 0;
const param_case_1 = require("param-case");
async function checkResourceRelationName(relationName, entityMetadata) {
    const relation = entityMetadata.relations.find(relation => {
        return relation.propertyPath === relationName;
    });
    if (!relation) {
        const name = param_case_1.paramCase(entityMetadata.name);
        return [{
                detail: `Relation '${relationName}' does not exist in resource '${name}'`,
            }];
    }
    return [];
}
exports.checkResourceRelationName = checkResourceRelationName;
//# sourceMappingURL=check-resource-relation-name.js.map