"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paramsEscapeMixin = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const mixin_1 = require("../../../helpers/mixin");
function paramsEscapeMixin() {
    let ParamsEscapeMixin = class ParamsEscapeMixin {
        async transform(value) {
            // keyword-fields sorting fix
            const data = { ...value };
            const sortFields = Object.keys(data["sort" /* sort */]);
            const includeFields = Object.keys(data["include" /* include */]);
            if ((sortFields === null || sortFields === void 0 ? void 0 : sortFields.length) && !(includeFields === null || includeFields === void 0 ? void 0 : includeFields.length)) {
                data["sort" /* sort */] = sortFields.reduce((accum, item) => {
                    const name = `"${item}"`;
                    accum[name] = data["sort" /* sort */][item];
                    return accum;
                }, {});
            }
            return data;
        }
    };
    ParamsEscapeMixin = tslib_1.__decorate([
        common_1.Injectable()
    ], ParamsEscapeMixin);
    return mixin_1.mixin(ParamsEscapeMixin);
}
exports.paramsEscapeMixin = paramsEscapeMixin;
//# sourceMappingURL=params-escape.js.map